package cn.com.countrygarden.bi.main.controller.advise;

import cn.com.countrygarden.bi.main.service.advise.util.AdviseUtil;
import lombok.extern.slf4j.Slf4j;

/**
 * @author 木木子
 * @Description: 建言超时定时器（5分钟一次）
 * @email 944528607@qq.com
 * @date 2019/5/9 17:30
 */
@Slf4j
public class AdviseTimeOutTimer {


    private AdviseUtil adviseUtil;

    public void setAdviseUtil(AdviseUtil adviseUtil) {
        this.adviseUtil = adviseUtil;
    }

    public void timeOutAdviseProcess() throws InterruptedException {
        log.info("》》》》》》》》》》》》》》》》》》定时器开始处理建言数据是否超时》》》》》》》》》");
       int count= adviseUtil.timeOutAdviseProcess();
        log.info("》》》》》》》》》》》》》》》》》》只有"+count+"条数据超时进行了处理》》》》》》》》》");
        log.info("》》》》》》》》》》》》》》》》》》定时器建言数据是否超时处理完毕》》》》》》》》》》》》》》");
    }
}
